ML Prep API (v1)
http://{{your_prep_ip_address}}/
- Mock server
http://{{your_prep_ip_address}}/api/v1/maintenance/initialize
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/maintenance/initialize' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- Mock server
http://{{your_prep_ip_address}}/api/v1/maintenance
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/maintenance' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'[ { "id": "1305bd608cc6486793af632284be9553", "status": "Ok", "name": "Procedure1", "info": "Info1", "lastExecutionTime": "2026-04-29T07:13:24.275456-07:00" }, { "id": "a787e117b4234a41bc87765d1abbf779", "status": "Expired", "name": "Procedure2", "info": "Info2", "lastExecutionTime": "2026-04-09T07:13:24.275456-07:00" } ]
- Mock server
http://{{your_prep_ip_address}}/api/v1/maintenance/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/maintenance/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "id": "fb5084ff4305445295493dc37c61d317", "status": "Ok", "name": "Maintenance Procedure 1", "dueDateTime": "2026-05-07T07:13:24.275456-07:00", "lastExecutionTime": "2026-04-30T07:13:24.275456-07:00" }
- Mock server
http://{{your_prep_ip_address}}/api/v1/maintenance/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/maintenance/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- Mock server
http://{{your_prep_ip_address}}/api/v1/maintenance/images/{imageName}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/maintenance/images/{imageName}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- Mock server
http://{{your_prep_ip_address}}/api/v1/maintenance/errors
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/maintenance/errors' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'[ { "message": "Continue", "response": "Failed to complete maintenance." }, { "message": "Abort", "response": "Failed to complete maintenance 2." } ]
- Mock server
http://{{your_prep_ip_address}}/api/v1/maintenance/channel-counters
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/maintenance/channel-counters' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'[ { "name": "Front", "tipPickUpCounter": 200, "tipEjectCounter": 199, "aspirateCounter": 50, "dispenseCounter": 100 }, { "name": "Rear", "tipPickUpCounter": 137, "tipEjectCounter": 137, "aspirateCounter": 220, "dispenseCounter": 220 } ]
- Mock server
http://{{your_prep_ip_address}}/api/v1/maintenance/reset-channel-counters/{channel}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/maintenance/reset-channel-counters/{channel}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- Mock server
http://{{your_prep_ip_address}}/api/v1/maintenance/uv-routine-interval-options
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/maintenance/uv-routine-interval-options' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "id": 0, "description": "string", "name": "string" }
- Mock server
http://{{your_prep_ip_address}}/api/v1/maintenance/uv-routine-settings
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'http://{{your_prep_ip_address}}/api/v1/maintenance/uv-routine-settings' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "interval": "EveryProtocolRun" }
- Mock server
http://{{your_prep_ip_address}}/api/v1/maintenance/uv-routine-settings
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
'http://{{your_prep_ip_address}}/api/v1/maintenance/uv-routine-settings' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json-patch+json' \
-d '{
"interval": "EveryProtocolRun"
}'- Mock server
http://{{your_prep_ip_address}}/api/v1/maintenance/abort
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/maintenance/abort' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'- Mock server
http://{{your_prep_ip_address}}/api/v1/maintenance/close-view
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'http://{{your_prep_ip_address}}/api/v1/maintenance/close-view' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json-patch+json' \
-d '{
"viewId": "5854c6bfedba41cba94560861b0075d8",
"viewResult": "Ok",
"viewInput": "ViewInput1;ViewInput2"
}'